from flask import Blueprint, render_template, request, redirect, url_for, flash, session

login_blueprint = Blueprint('login', __name__, template_folder="../templates")

def read_users():
    users = {}
    with open("users.txt", "r") as file:
        for line in file:
            username, password = line.strip().split(",")
            users[username] = password
    return users

@login_blueprint.route("/")
def home():
    if 'user' in session:  # Check if the user is already logged in
        return redirect(url_for("home.home"))
    return render_template("login.html")

@login_blueprint.route("/login", methods=["POST"])
def login():
    username = request.form.get("username")
    password = request.form.get("password")
    users = read_users()

    if username in users and users[username] == password:
        session['user'] = username  # Store username in session
        return redirect(url_for("home.home"))
    else:
        flash("Invalid username or password. Please try again.")
        return redirect(url_for("login.home"))

@login_blueprint.route("/logout")
def logout():
    session.pop('user', None)  # Remove user from session
    flash("You have been logged out.")
    return redirect(url_for("login.home"))
