// JavaScript function to filter table rows and update record count
function filterTable() {
    const searchInput = document.getElementById('searchBox').value.toLowerCase();
    const rows = document.querySelectorAll('#dataTable tbody tr');
    const recordCount = document.getElementById('recordCount');

    let visibleRowCount = 0;

    rows.forEach(row => {
        const rowText = row.textContent.toLowerCase();
        if (rowText.includes(searchInput)) {
            row.style.display = '';
            visibleRowCount++;
        } else {
            row.style.display = 'none';
        }
    });

    // Update record count
    recordCount.textContent = `Total Records Found: ${visibleRowCount}`;
}

// Attach the event listener to the search box
document.getElementById('searchBox').addEventListener('input', filterTable);

// Initialize record count on page load
document.addEventListener('DOMContentLoaded', () => {
    const rows = document.querySelectorAll('#dataTable tbody tr');
    document.getElementById('recordCount').textContent = `Total Records: ${rows.length}`;
});
